package com.abbidot.tracker.bean

import com.abbidot.baselibrary.constant.MMKVKey
import com.abbidot.baselibrary.util.MMKVUtil

/**
 *Created  by .yzq on 2022/2/18/018.
 * @link
 * @description:用户信息
 */
data class UserInfoBean(
    var userId: String,
    var email: String,
    var userName: String,
    var imgurl: String,
    var phone: String,
    var location: String,
    var gender: Int,
    var birthdayDate: String,
    var deviceCount: Int,
    val countryCode: String
//                        var pets: MutableList<PetBean>?
) {

    constructor() : this(
        MMKVUtil.getString(MMKVKey.UserId),
        MMKVUtil.getString(MMKVKey.Email),
        "",
        "",
        "",
        "",
        1,
        "",
        0,
        ""
    )
}
